Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.common
Class PullDownListItem

    java.lang.Object
      com.sun.mdm.index.edm.common.PullDownListItem

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class PullDownListItem
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

A dropdown list item contains its description and name.

See Also:
  Serialized Form

Constructor Summary
`PullDownListItem(java.lang.String name, java.lang.String description)` Creates a new instance of PullDownListItem

Method Summary
`int` | `compareTo(java.lang.Object obj)`
`java.lang.String` | `getDescription()` getter for description attribute of this object
`java.lang.String` | `getName()` getter for name attribute of this object
`boolean` | `getSelected()` Getter for Selected attribute of the PullDownListItem object
`void` | `setSelected(boolean selected)` Setter for Selected attribute of the PullDownListItem object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### PullDownListItem

    public PullDownListItem(java.lang.String name,
                            java.lang.String description)

  Creates a new instance of PullDownListItem

  Parameters:
    `name` - attribute of the object
    `description` - attribute of the object

Method Detail

### compareTo

    public int compareTo(java.lang.Object obj)

  Parameters:
    `obj` - another PullDownListItem object
  Returns:
    >0 =0 <0

### getDescription

    public java.lang.String getDescription()

  getter for description attribute of this object

  Returns:
    description for the name

### getName

    public java.lang.String getName()

  getter for name attribute of this object

  Returns:
    name of the object

### getSelected

    public boolean getSelected()

  Getter for Selected attribute of the PullDownListItem object

  Returns:
    selected or not

### setSelected

    public void setSelected(boolean selected)

  Setter for Selected attribute of the PullDownListItem object

  Parameters:
    `selected` - or not

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.